//  SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//  SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include "handler.h"

class Server;
namespace Handler {

class Register : public Handler::Handler {
public:
    Register(Server* server);
    virtual void handle(Request& request);

    enum class Result {
        success,
        noLogin,
        emptyLogin,
        loginExists,
        loginPolicyViolation,
        noPassword,
        emptyPassword,
        passwordPolicyViolation,
        unknownError
    };

private:
    void error(Request& request, Result result);

private:
    Server* server;
};
}
